cURL
curl -X GET 'https://api.telegent.com/v1.0/distributor/packages?Filter=Active' \
-H 'Authorization: Bearer YOUR_TOKEN'import requests
url = "https://api.telegent.com/v1.0/distributor/packages"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.telegent.com/v1.0/distributor/packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"DistributorId": "DID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"TotalPackages": 2,
"Filter": "Active",
"Results": [
{
"PackageId": "PID-203740d8-6b19-42c6-b22e-e45611d9cade",
"PackageName": "eSim 3",
"DistributorId": "DID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"AggregatorId": "AGID-A49349FB-170E-44BF-B61E-DCC65A3FEA1A",
"SubscriberId": "456789",
"Type": "Type 2",
"Price": 34.56,
"Monthly": false,
"Active": true
},
{
"PackageId": "PID-9a8435dc-ca6e-4a98-b761-5e6dc04447db",
"PackageName": "eSim 3",
"DistributorId": "DID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"AggregatorId": "AGID-A49349FB-170E-44BF-B61E-DCC65A3FEA1A",
"SubscriberId": "12345",
"Type": "Type 1",
"Price": 12.34,
"Monthly": true,
"Active": true
}
]
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Distributors
Get Distributor Package List
Retrieve the list of packages associated with the distributor. Filter by status (All, Active, Inactive).
What this does: Returns the list of packages configured at the distributor level with their IDs, names, and pricing. Packages group products for subscription assignment.
Next steps:
- Get package details —
GET /v1.0/packages - Create a subscription —
POST /v1.0/subscriptions
GET
/
v1.0
/
distributor
/
packages
cURL
curl -X GET 'https://api.telegent.com/v1.0/distributor/packages?Filter=Active' \
-H 'Authorization: Bearer YOUR_TOKEN'import requests
url = "https://api.telegent.com/v1.0/distributor/packages"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.telegent.com/v1.0/distributor/packages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"DistributorId": "DID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"TotalPackages": 2,
"Filter": "Active",
"Results": [
{
"PackageId": "PID-203740d8-6b19-42c6-b22e-e45611d9cade",
"PackageName": "eSim 3",
"DistributorId": "DID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"AggregatorId": "AGID-A49349FB-170E-44BF-B61E-DCC65A3FEA1A",
"SubscriberId": "456789",
"Type": "Type 2",
"Price": 34.56,
"Monthly": false,
"Active": true
},
{
"PackageId": "PID-9a8435dc-ca6e-4a98-b761-5e6dc04447db",
"PackageName": "eSim 3",
"DistributorId": "DID-1e24785ab-3f3c-7db1-89d7-956d80fdnn2",
"AggregatorId": "AGID-A49349FB-170E-44BF-B61E-DCC65A3FEA1A",
"SubscriberId": "12345",
"Type": "Type 1",
"Price": 12.34,
"Monthly": true,
"Active": true
}
]
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Query Parameters
Filter packages by status
Available options:
All, Active, Inactive Response
Packages Retrieved
The response is of type object.
⌘I